import React from "react";

interface ReferencesProps {
    references: string[];
}

/**
 * Displays a list of links.
 * @param references List of links.
 * @constructor
 */
function References({ references }: ReferencesProps) {
    return (
        <ul>
            {references.map((ref) => (
                <li key={ref}>
                    <a href={ref} rel={"noopener noreferrer"} target={"_blank"}>
                        {ref}
                    </a>
                </li>
            ))}
        </ul>
    );
}

export default References;
